//
// C++ Interface: kpgtablespaceproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTABLESPACEPROPPAGE_H
#define KPGTABLESPACEPROPPAGE_H

#include "kpgtablespaceproppagebase.h"

// include files for libpgxx 
#include <pqxx/util.h> 

#include "../kpgaclitem.h"

/**
Tablespace property page

@author Lumir Vanek
*/

class KPGTablespacePropPage : public KPGTablespacePropPageBase
{
Q_OBJECT
public:
    KPGTablespacePropPage(QWidget *parent, const QString &);
    ~KPGTablespacePropPage();

    void setACL(const QString &);
    
protected:
    QString m_strTablespace;
    KPGAclItemList m_listOfAclItems;
    
signals:
		void sigSearchObject(const pqxx::oid);
    void sigRunWizard(const QString &);	
    
protected slots:
  
    virtual void slotAclListViewClicked(QListViewItem *, const QPoint &, int);
    virtual void slotUpdateACL();
};

#endif
